List robot sessions
Get a paginated list of Robot sessions. These are chat sessions with the Robot system. One session may span multiple Robots as members can switch which Robot they are talking to mid conversation, or the Robot itself may choose to switch to another Robot to achieve a goal. A session is a representation of an entire conversation thread with the Robot system. You may include an account ID to filter sessions by account. Only those with "USE_ROBOTS" permission can use Robots, however sessions, messages and usage is not considered hidden to other accounts with the usage permission. Robots are intended as administrative or moderation tools to be shared among the team rather than private assistants.
/robots/sessionsGet a paginated list of Robot sessions. These are chat sessions with the Robot system. One session may span multiple Robots as members can switch which Robot they are talking to mid conversation, or the Robot itself may choose to switch to another Robot to achieve a goal. A session is a representation of an entire conversation thread with the Robot system.
You may include an account ID to filter sessions by account. Only those with "USE_ROBOTS" permission can use Robots, however sessions, messages and usage is not considered hidden to other accounts with the usage permission. Robots are intended as administrative or moderation tools to be shared among the team rather than private assistants.
In: cookie
Query Parameters
Pagination query parameters.
Account ID.
Response Body
application/json
application/json
curl -X GET "https://example.com/robots/sessions"{
"page_size": 0,
"results": 0,
"total_pages": 0,
"current_page": 0,
"next_page": 0,
"sessions": [
{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"name": "string",
"created_by": {
"id": "cc5lnd2s1s4652adtu50",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"signature": "<body><p>Sent with love from London!</p></body>",
"roles": [
{
"badge": true,
"default": true,
"id": "cc5lnd2s1s4652adtu50",
"name": "string",
"colour": "string",
"meta": {}
}
]
}
}
]
}{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}Get a robot session GET
Retrieve a specific robot session with all of its messages. Sessions can involve interactions with multiple Robots so the Robot is specified on each message. Messages may not be representative of exactly what is sent into a language model, as certain optimisations may be performed before this such as compaction, summarisation or removal of irrelevant context. Any member with "USE_ROBOTS" can see any other members' sessions and messages with a Robot. Robots are not considered private assistants, but rather shared tools for the team to use for managing their community.
List robots GET
Get a paginated list of all available robots.